Skip to main content

Get NFT Collection By Collection


Query Template​

Filtering Options​

Parameter

Type

Description

where

object

An object that filters results based on specific conditions.

limit

integer

Maximum number of results to return.

offset

integer

Starting position of the results.

order_by

object

An object that specifies the sorting criteria. Supports sorting by multiple fields.

Query Fields​

Parameter

Type

Description

collection_id

string

Collection ID.

collection_name

string

Collection name.

creator_address

string

The address of the creator.

description

string

Description.

current_supply

integer

Current supply.

last_transaction_version

integer

Version of the last transaction.

last_transaction_timestamp

string

Timestamp of the last transaction (ISO 8601 format).

max_supply

integer

Maximum supply.

mutable_description

boolean

Whether the description is mutable.

mutable_uri

boolean

Whether the URI is mutable.

token_standard

string

Token standard.

total_minted_v2

integer

Total minted (v2).

uri

string

URI.

table_handle_v1

string

Table handle (v1).

Example​

Request Example​

query MyQuery {
current_collections_v2(
where: {
collection_id: {
_eq: "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301"
}
}
) {
collection_id
collection_name
creator_address
description
current_supply
last_transaction_version
last_transaction_timestamp
max_supply
mutable_description
mutable_uri
token_standard
total_minted_v2
uri
table_handle_v1
}
}

Response Example​

{
"data": {
"current_collections_v2": [
{
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"description": "A group of skilled monkeys working together to build a civilized jungle. Each monkey has its unique intelligence to create long-lasting products to foster productivity and effectiveness in the Aptos ecosystem.",
"current_supply": 7777,
"last_transaction_version": 12727777,
"last_transaction_timestamp": "2022-10-25T19:40:43.191924",
"max_supply": 7777,
"mutable_description": true,
"mutable_uri": true,
"token_standard": "v1",
"total_minted_v2": null,
"uri": "https://ibb.co/t3ckz86",
"table_handle_v1": "0xb718feaaf6a00862ad067cdbac3f3ba54f0603026183ed4a7c06940da6b37e93"
}
]
}
}